Displaying 2 results from an estimated 2 matches for "c67931a".
Did you mean:
679319
2009 Dec 15
1
[PATCH] If the specified ISO does not exist, then the script dies.
...y tests are run, the ISO is checked and if it doesn't exist
then the script exits with an explicit failure.
Signed-off-by: Darryl L. Pierce <dpierce at redhat.com>
---
autotest.sh | 4 ++++
1 files changed, 4 insertions(+), 0 deletions(-)
diff --git a/autotest.sh b/autotest.sh
index c67931a..904b961 100755
--- a/autotest.sh
+++ b/autotest.sh
@@ -723,6 +723,10 @@ done
isoname=$(basename $isofile)
isofile="$(cd `dirname $isofile`; pwd)/${isoname}"
+if ! [ -s "${isofile}" ]; then
+ die "Missing or invalid file: ${isofile}"
+fi
+
shift $(($OPTIND - 1)...
2009 Dec 15
1
[PATCH] The autotest timeout is now a command line configurable option.
By default it's 120 ms, but can be changed through command line
arguments.
Signed-off-by: Darryl L. Pierce <dpierce at redhat.com>
---
autotest.sh | 16 ++++++++++------
1 files changed, 10 insertions(+), 6 deletions(-)
diff --git a/autotest.sh b/autotest.sh
index c67931a..bcd9bd5 100755
--- a/autotest.sh
+++ b/autotest.sh
@@ -62,6 +62,7 @@ Usage: $ME [-n test_name] [LOGFILE]
-i: set the ISO filename (defualt: ovirt-node-image.iso)
-n: the name of the specific autotest to run (default: run all autotests)
-d: enable more verbose output (default: disabled)
+...